Loading...
Searching...
No Matches
Opm::FluidStateExplicitEnthalpyModule< Scalar, numPhases, Implementation > Class Template Reference

Module for the modular fluid state which stores the enthalpies explicitly. More...

`#include <FluidStateEnthalpyModules.hpp>`

## Public Member Functions

const Scalar & | enthalpy (unsigned phaseIdx) const
| The specific enthalpy of a fluid phase [J/kg].
Scalar | internalEnergy (unsigned phaseIdx) const
| The specific internal energy of a fluid phase [J/kg].
void | setEnthalpy (unsigned phaseIdx, const Scalar &value)
| Set the specific enthalpy of a phase [J/kg].
template<class FluidState>
void | assign (const FluidState &fs)
| Retrieve all parameters from an arbitrary fluid state.
void | checkDefined () const
| Make sure that all attributes are defined.

## Protected Member Functions

const Implementation & | asImp_ () const

## Protected Attributes

std::array< Scalar, numPhases > | enthalpy_ {}

## Detailed Description

template<class Scalar, unsigned numPhases, class Implementation>
class Opm::FluidStateExplicitEnthalpyModule< Scalar, numPhases, Implementation >

Module for the modular fluid state which stores the enthalpies explicitly.

## Member Function Documentation

## checkDefined()

template<class Scalar, unsigned numPhases, class Implementation>

void Opm::FluidStateExplicitEnthalpyModule< Scalar, numPhases, Implementation >::checkDefined | ( |  | ) | const

inline

Make sure that all attributes are defined.

This method does not do anything if the program is not run under valgrind. If it is, then valgrind will print an error message if some attributes of the object have not been properly defined.

The documentation for this class was generated from the following file:

- opm/material/fluidstates/FluidStateEnthalpyModules.hpp